import { TEditor, TNode } from '@udecode/slate-plugins-core';
import { Location, NodeEntry, Span } from 'slate';
import { MatchOptions } from '../types/Editor.types';
export declare type FindNodeOptions<T extends TNode = TNode> = {
    at?: Location | Span;
    reverse?: boolean;
    voids?: boolean;
} & MatchOptions<T>;
/**
 * Find node matching the condition.
 */
export declare const findNode: <T extends TNode<import("@udecode/slate-plugins-core").AnyObject> = TNode<import("@udecode/slate-plugins-core").AnyObject>>(editor: TEditor, options: FindNodeOptions<T>) => NodeEntry<T> | undefined;
//# sourceMappingURL=findNode.d.ts.map