import { TAncestor, TEditor } from '@udecode/slate-plugins-core';
import { Location, NodeEntry } from 'slate';
import { EditorParentOptions } from '../types/Editor.types';
/**
 * See {@link Editor.parent}.
 * Returns undefined if there is no parent.
 */
export declare const getParent: <T extends TAncestor<import("@udecode/slate-plugins-core").AnyObject> = TAncestor<import("@udecode/slate-plugins-core").AnyObject>>(editor: TEditor, at: Location, options?: EditorParentOptions | undefined) => NodeEntry<T> | undefined;
//# sourceMappingURL=getParent.d.ts.map