import { TEditor } from '@udecode/slate-plugins-core';
import { Point } from 'slate';
/**
 * If the start point is inside an inline void, get the point before or after it.
 */
export declare const getPointNextToVoid: (editor: TEditor, { at, after, }: {
    at: Point;
    /**
     * Get the point after (instead of before) the void node.
     */
    after?: boolean | undefined;
}) => import("slate").BasePoint;
//# sourceMappingURL=getPointNextToVoid.d.ts.map